%define _cmake_skip_rpath %{nil}

Name: gemrb
Version: 0.7.0
Release: %mkrel 2
Summary: Port of the original Infinity (Game) Engine
Group: Games/Adventure
License: GPLv2+
URL: http://gemrb.sourceforge.net/
Source0: %{name}-%{version}.tar.gz
Patch0: gemrb-0.7.0-link.patch
BuildRequires: cmake
BuildRequires: zlib-devel
BuildRequires: SDL-devel
BuildRequires: libSDL_mixer-devel
BuildRequires: libSDL_ttf-devel
BuildRequires: openal-devel
BuildRequires: libvorbis-devel
BuildRequires: libpng-devel
BuildRequires: python-devel

%description
GemRB (Game Engine Made with pre-Rendered Background) is a portable
open-source implementation of Bioware's Infinity Engine.

It was written to support pseudo-3D role playing games based on the
Dungeons & Dragons ruleset (Baldur's Gate and Icewind Dale series,
Planescape: Torment). 

This is not a game, but the engine. You need data installed somewhere, and
point gemrb the the relevant directory. More details and a list of
supported games can be found at
http://gemrb.sourceforge.net/wiki/doku.php?id=getting_started

%prep
%setup -q
%patch0 -p0

%build
%cmake -DLAYOUT=fhs -DLIB_DIR='%{_libdir}/gemrb'
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_sysconfdir}/gemrb/GemRB.cfg.noinstall.sample

%files
%doc AUTHORS COPYING NEWS README INSTALL
%attr(755,root,root) %{_bindir}/gemrb
%attr(755,root,root) %{_bindir}/extend2da.py
%attr(755,root,root) %{_libdir}/gemrb/libgemrb_core.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/2DAImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/ACMReader.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/AREImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/BAMImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/BIFImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/BIKPlayer.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/BMPImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/BMPWriter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/CHUImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/CREImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/DirectoryImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/DLGImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/EFFImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/FXOpcodes.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/GAMImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/GUIScript.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/IDSImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/INIImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/ITMImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/IWDOpcodes.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/KEYImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/MOSImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/MUSImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/MVEPlayer.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/NullSound.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/OGGReader.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/OpenALAudio.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/PLTImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/PNGImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/PROImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/PSTOpcodes.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/SAVImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/SDLAudio.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/SDLVideo.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/SPLImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/STOImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/TTFImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/TISImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/TLKImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/WAVReader.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/WEDImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/WMPImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/ZLibManager.so

%{_sysconfdir}/gemrb/GemRB.cfg.sample
%{_mandir}/man6/gemrb.6.*
%{_datadir}/gemrb/*
%{_datadir}/applications/gemrb.desktop
%{_datadir}/icons/hicolor/scalable/apps/gemrb.svg
%{_datadir}/pixmaps/gemrb.png


%changelog

* Fri Jan 27 2012 fwang <fwang> 0.7.0-2.mga2
+ Revision: 202205
- fix linkage

* Wed Jan 04 2012 shadow95 <shadow95> 0.7.0-1.mga2
+ Revision: 190805
- add BuildRequires: libSDL_ttf-devel
- Update to new version 0.7.0
- clean spec (remove #define name, #define release)

* Thu Nov 17 2011 shadow95 <shadow95> 0.6.6-1.mga2
+ Revision: 168585
- remove requires python
- update to new release 0.6.6
- Add Requires python

* Mon Apr 11 2011 xrogaan <xrogaan> 0.6.4-1.mga2
+ Revision: 83176
- Updated to new version

* Wed Mar 02 2011 xrogaan <xrogaan> 0.6.3-1.mga1
+ Revision: 62706
- Fix BuildRequires
- Fixes BuildRequires for python libraries
- Update the description
- imported package gemrb

